
# Togl - a Tk OpenGL widget
# Copyright (C) 1996-1997  Brian Paul and Ben Bederson
# See the LICENSE file for copyright details.


#
# Test Togl using GL Gears Demo
#
# Copyright (C) 1997 Philip Quaife
#

proc setup {} {
    global startx starty xangle0 yangle0 xangle yangle RotCnt cyberScore humanScore
    global vTime trackBall algorithm
	set cyberScore 0
	set humanScore 0
    set RotCnt 1
    set xangle 0.0
    set yangle 0.0
    set vTime 100
    wm title . "Cyber Hockey Learning Demonstrator"

    label .t -text "Use the mouse to play hockey with the Cyber Human"
    pack .t -side top -padx 2 -pady 10

	frame .score -borderwidth 5 -relief raised
	label .score.t -text "     SCORE:  "
	pack .score.t -side left 
	pack .score -fill x
	label .score.l -text "Human Player:"
	label .score.s -relief sunken -width 4 -text $humanScore
	pack .score.l -side left 
	pack .score.s -side left 
	pack .score -fill x
	label .score.lc -text "     Cyber Player:"
	label .score.sc -relief sunken -width 4 -text $cyberScore
	pack .score.lc -side left
	pack .score.sc -side left
	
	frame .left  -borderwidth 10 -relief raised
	pack .left -fill x -side left

    button .left.reset -text "  Reset Game " -command ResetGame
	pack .left.reset -side top

	label .left.label -text "Trackball"
	frame .left.sep -relief ridge -bd 1 -height 2 -width 10
	pack .left.label -side top
	pack .left.sep -side top -fill x -expand no

	radiobutton .left.bon -text "on" -variable trackBall \
	-relief flat -value 1 -width 10 -anchor w -command RadioChange 
    pack .left.bon  -side top -pady 2 -anchor w -fill x
	radiobutton .left.boff -text "off" -variable trackBall \
	-relief flat -value 0 -width 10 -anchor w -command RadioChange 
    pack .left.boff  -side top -pady 2 -anchor w -fill x


	label .left.label2 -text "Hit Algorithm"
	frame .left.sep2 -relief ridge -bd 1 -height 2 -width 10
	pack .left.label2 -side top
	pack .left.sep2 -side top -fill x -expand no

    radiobutton .left.bnn -text "Neural Net" -variable algorithm \
	-relief flat -value 1 -width 16 -anchor w -command RadioChange 
    pack .left.bnn  -side top -pady 2 -anchor w -fill x
    radiobutton .left.blr -text "Linear Regression" -variable algorithm \
	-relief flat -value 2 -width 16 -anchor w -command RadioChange 
    pack .left.blr  -side top -pady 2 -anchor w -fill x

	set trackBall 0
	set algorithm 1

    button .left.b1 -text " Quit " -command exit 
    pack .left.b1 -side bottom -anchor w -padx 5


	label .t3 -text " "
	pack .t3

#    frame .f
#    pack .f -side top -expand 1
#    button .f.n1 -text "  Add " -command AutoRot
#    button .f.r1 -text "Remove" -command DelRot
#    entry .f.t -width 4 -textvariable vTime

	frame .tglwin -borderwidth 5 -relief raised
	pack .tglwin -fill x 
    createOGLwin .tglwin.w0 10

}


proc createOGLwin {win {tick 100} } {
	global cyberScore
#    togl $win -width 176 -height 208  -rgba true  -double true  -depth true -privatecmap false  -time $tick
    togl $win -width 500 -height 600  -rgba true  -double true  -depth true -privatecmap false  -time $tick
#    bind $win <ButtonPress-1> {RotStart %x %y %W}
#    bind $win <B1-Motion> {RotMove %x %y %W}
    bind $win <Motion> {MovePaddle %x %y %W}
    pack $win -expand true -fill both
}

proc ResetGame {} {
	.tglwin.w0 reset
}

proc GUIUpdate { score1 score2 } {
	.score.s configure -text $score1
	.score.sc configure -text $score2
}

proc RotStart {x y W } {
    global startx starty xangle0 yangle0 xangle yangle
	set startx $x
	set starty $y
    set vPos [$W position]
	set xangle0 [lindex $vPos 0]
	set yangle0 [lindex $vPos 1]
    }

proc RadioChange { } {
	global trackBall algorithm
	.tglwin.w0 handleRadios $trackBall $algorithm
	}

proc MovePaddle {x y W} {
    $W movePaddle $x $y
    }

setup
