#ifndef HOCKEY_DATA_H
#define HOCKEY_DATA_H


#define BALL_RADIUS            0.02f
#define BALL_HEIGHT            0.005f
#define PADDLE_RADIUS          0.03f
#define PADDLE_HEIGHT          0.01f
#define BOARD_WIDTH            0.5f
#define BOARD_LENGTH           1.0f



/* Fields of status_bits */
#define PLAYER_ONE_SCORED 1
#define PLAYER_TWO_SCORED (1<<1)
#define PADDLE_ONE_CONTACT (1<<2)
#define PADDLE_TWO_CONTACT (1<<3)
#define LEFT_CONTACT (1<<4)
#define RIGHT_CONTACT (1<<5)
#define BOTTOM_CONTACT (1<<6)
#define TOP_CONTACT (1<<7)
#define RESET_PRESSED (1<<8)
#define MOUSE_NOT_IN_WINDOW (1<<9)

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

#define ND 3 /* Number of Dimensions */

#define XX 0  /* Dimensions, X is used by Inventor stuff */
#define YY 1
#define ZZ 2  /* Z is up */


/*****************************************************************************/

#define NVEL 2  /* Number of samples to calculate mouse velocity over. */

#define NITER 20 /* Number of times to call dynamics per graphics update */

#define NBDELAY 10 /* Number of times to delay ball state for paddle2 */

#define NPOINTS (300*30) /* Number of samples stored in data file */

#define square(X) (X)*(X)

/*****************************************************************************/
/* Globals constants */
const float board_width_div2=BOARD_WIDTH/2;
const float board_length_div2=BOARD_LENGTH/2;
const float goal1_left = -board_width_div2/3;
const float goal1_right = board_width_div2/3;
const float goal2_left = -board_width_div2/3;
const float goal2_right = board_width_div2/3;

const float restitution = (float) 0.7;
const float friction = 0.2f;

#endif