#ifndef TRACK_H
#define TRACK_H

//#include <Inventor/Xt/SoXt.h>
//#include <Inventor/Xt/viewers/SoXtExaminerViewer.h>
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoMaterial.h>
#include <Inventor/nodes/SoTransform.h>
#include <Inventor/nodes/SoCylinder.h>
#include <Inventor/nodes/SoDrawStyle.h>



class Track {

private:
  float x,y,z, time, start_time;
  float Vx, Vy;
  int show, initialized,  running;
  // Widget * window;
  SoSeparator * root;
  SoSeparator * ballRoot;
  SoMaterial *ballMaterial;
  SoTransform *ballTransform;
  SoDrawStyle * drawStyle;

public:
  Track() {x=0;y=0;};
  Track(SoSeparator * inRoot);
  void Toggle();  //Toggles the ball on and off.
  int GetShow() {return show;}; //Is the ball being shown?
  int Initilaized() {return initialized;}; //Has the ball been initialized?
  void Initialize(float itime,float ix, float iy, float iVx, float iVy);
  void Go(float newTime);
  void Reset();
  void Simulate(float newTime);
  void do_dynamics_collisions(float seconds, //Time to iterate over.
			      float *o_pos, //ball position.
			      float *o_vel, //ball velocity.
			      float *n_pos, //new ball position.
			      float *n_vel //new ball velocity. 
			      );
};

#endif
